aboutsummaryrefslogtreecommitdiff
path: root/share/man/man0/tocrc
diff options
context:
space:
mode:
authorRodney W. Grimes <rgrimes@FreeBSD.org>1994-05-30 19:09:18 +0000
committerRodney W. Grimes <rgrimes@FreeBSD.org>1994-05-30 19:09:18 +0000
commitafe61c15161c324a7af299a9b8457aba5afc92db (patch)
tree2ced81c11d3481fb1a4d3d832089bc744304b24e /share/man/man0/tocrc
parent9f23196c427eddb59bd454053a732e7cfebcb459 (diff)
BSD 4.4 Lite Share Sources
Notes
Notes: svn path=/head/; revision=1638
Diffstat (limited to 'share/man/man0/tocrc')
-rwxr-xr-xshare/man/man0/tocrc74
1 files changed, 74 insertions, 0 deletions
diff --git a/share/man/man0/tocrc b/share/man/man0/tocrc
new file mode 100755
index 000000000000..182e00401b81
--- /dev/null
+++ b/share/man/man0/tocrc
@@ -0,0 +1,74 @@
+#!/bin/sh -
+#
+# Copyright (c) 1993
+# The Regents of the University of California. All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+# 3. All advertising materials mentioning features or use of this software
+# must display the following acknowledgement:
+# This product includes software developed by the University of
+# California, Berkeley and its contributors.
+# 4. Neither the name of the University nor the names of its contributors
+# may be used to endorse or promote products derived from this software
+# without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# @(#)tocrc 8.1 (Berkeley) 6/29/93
+#
+tmp=/tmp/toc$$
+trap "rm $tmp ; exit" 2 3 15
+: tocx files for all sections and everything else
+
+if [ ! -f tocx8 ]; then
+ for x in 1 2 3 4 5 6 7 8; do
+ /usr/libexec/getNAME -t `cat man$x` |
+ sed \
+ -e 's/.s-2//g' \
+ -e 's/.s-1//g' \
+ -e 's/.s0//g' \
+ -e 's/.s+1//g' \
+ -e 's/ *.- */: /' \
+ -e 's/ *$/./' \
+ -e 's/.TH.* //' \
+ > tocx$x
+ done
+fi
+: permuted index and toc files
+
+cat tocx* cshcmd > /tmp/cattoc
+
+ptx -r -t -b break -f -w 108 -i ignore /tmp/cattoc ptxx
+
+for x in 1 2 3 4 5 6 7 8; do
+ grep '^intro' <tocx$x >$tmp
+ sed \
+ -e '2,${' \
+ -e '/^intro/d' \
+ -e '}' \
+ -e 's/ .*://' \
+ -e 's/.$//' \
+ -e 's/([^)]*) /" "/' \
+ -e 's/.*/.xx "&"/' \
+ -e '/""/d' \
+ $tmp tocx$x \
+ >toc$x
+done
+exit